
def fn(x, y):
    print('fn:', fn.__annotations__)
    return x + y

def f1(x:int, y:int) -> int:
    print('f1:', f1.__annotations__)
    return x + y

def f2(x:str, y:str) -> str:
    print('f2:', f2.__annotations__)
    return x + y

def f3(x:'Ahoj!', y:(666, 'Baf!')) -> int:
    print('f3:', f3.__annotations__)
    return x + y

fn(1, 2)    # {}
f1(1, 2)    # {'x': <class 'int'>, 'y': <class 'int'>, 'return': <class 'int'>}
f2(1, 2)    # {'x': <class 'str'>, 'y': <class 'str'>, 'return': <class 'str'>}
f3(1, 2)    # {'x': 'Ahoj!', 'y': (666, 'Baf!'), 'return': <class 'int'>}
